[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomLabeledEdit.EditLabel

EditLabel - the label attached to the edit box.

## Declaration

Source position: extctrls.pp line 1044

`public property TCustomLabeledEdit.EditLabel : TBoundLabel read FEditLabel;`

## Description

EditLabel is a read-only TBoundLabel property which contains the bound label displayed for the edit control.

Use LabelPosition to specify the edge on the edit control to which the label is aligned. Use LabelSpacing to set the number of pixels used as a spacer between the edit control and the bound label.

Values can be assigned to properties in the label at design-time using the Object Inspector, or at run-time in program code. For example:

Use Text to read or write the value for the control.

    LabeledEdit1.EditLabel.Caption := 'Unit Measure';
    LabeledEdit1.Text := 'Volts DC';